import { Config, RuleConfigValue, VerifiedResult } from '@markuplint/ml-config';
import { MLRule } from '@markuplint/ml-core';
import { MLMLSpec } from '@markuplint/ml-spec';
export declare function verify(html: string, config: Config, rules: MLRule<RuleConfigValue, unknown>[], locale?: string): Promise<VerifiedResult[]>;
export interface MLCLIOption {
    files?: string;
    sourceCodes?: string | string[];
    config?: string | Config;
    specs?: string | MLMLSpec;
    rules?: MLRule<RuleConfigValue, unknown>[];
    addRules?: MLRule<RuleConfigValue, unknown>[];
    locale?: string;
}
export declare function exec(options: MLCLIOption): Promise<MLResultInfo[]>;
interface MLResultInfo {
    results: VerifiedResult[];
    filePath: string;
    sourceCode: string;
    parser: string;
    locale?: string;
    configSet: {
        config: Config;
        files: string[];
        error: string[];
    };
}
export {};
